<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml"
>
<h:outputStylesheet name="css/extraction/#{css}"/>

<p:remoteCommand name="updateDepth"
                 process="@this,panelChoiceDepth,#{p:component('parametersRequest')}"
                 update="panelChoiceDepth,#{p:component('parametersRequest')}, prevStepButton, nextStepButton, validImage">
</p:remoteCommand>
<f:loadBundle basename="org.inra.ecoinfo.acbb.extraction.jsf.panels.mps.displayDepthStep" var="displayDepthStep"/>
<ui:param name="depths"
          value="#{uiBean.parametersRequest.depthRequestParam.availablesDepth}"/>

<h3>#{displayDepthStep.PROPERTY_MSG_TITLE}</h3>
<h:panelGroup id="messageWarningStep4">
    <h:outputText
            value="#{displayDepthStep.PARAM_MSG_INTRO}"
            rendered="#{not uiBean.parametersRequest.depthStepIsValid}"
            styleClass="selectionEmpty"/>
</h:panelGroup>
<h:panelGroup id="panelChoiceDepth">
    <p:selectOneRadio id="customRadio" value="#{uiBean.parametersRequest.depthRequestParam.choiceDepth}"
                      layout="custom">
        <f:selectItem itemLabel="#{displayDepthStep.PROPERTY_MSG_DEPTH_INTERVAL}" itemValue="false"/>
        <f:selectItem itemLabel="#{displayDepthStep.PROPERTY_MSG_CHOOSE_DEPTH}" itemValue="true"/>
        <p:ajax event="change" oncomplete="updateDepth()" immediate="true"/>
    </p:selectOneRadio>
    <h:panelGroup layout="block"
                  styleClass="#{not uiBean.parametersRequest.depthRequestParam.choiceDepth?'inputsDepthRange':'inputsDepthRange, disabled'}">
        <p:radioButton id="opt1" for="customRadio" itemIndex="0"/>
        <h:outputLabel for="opt1" value="#{displayDepthStep.PROPERTY_MSG_DEPTH_INTERVAL}"/>
        <p:messages for="validationDepth"
                    rendered="#{uiBean.step==panelNumber}"/>
        <h:inputText id="depthMin"
                     value="#{uiBean.parametersRequest.depthRequestParam.depthMin}"
                     disabled="#{uiBean.parametersRequest.depthRequestParam.choiceDepth}">
            <p:ajax event="keyup" process="panelChoiceDepth, #{p:component('parametersRequest')}"
                    oncomplete="updateDepth()"/>
        </h:inputText>
        <h:inputText id="depthMax"
                     value="#{uiBean.parametersRequest.depthRequestParam.depthMax}"
                     disabled="#{uiBean.parametersRequest.depthRequestParam.choiceDepth}">
            <p:ajax event="keyup" process="panelChoiceDepth, #{p:component('parametersRequest')}"
                    oncomplete="updateDepth()"/>
        </h:inputText>
        <h:inputHidden id="validationDepth"
                       validator="#{uiBean.parametersRequest.depthRequestParam.validateDepth}"
                       value="validationDepth"/>
    </h:panelGroup>

    <h:panelGroup layout="block" styleClass="buttonRadioAndLabel">
        <p:radioButton id="opt2" for="customRadio" itemIndex="1"/>
        <h:outputLabel for="opt2" value="#{displayDepthStep.PROPERTY_MSG_CHOOSE_DEPTH}"/>
        <h:panelGroup layout="block"
                      styleClass="#{uiBean.parametersRequest.depthRequestParam.choiceDepth?'buttonRadioAndLabel':'buttonRadioAndLabel, disabled'}">
            <h:panelGroup styleClass="panelControls">
                <h:panelGroup styleClass="control">
                    <p:commandLink process="@this,#{p:component('parametersRequest')},depthList"
                                   styleClass="buttonStepNext"
                                   action="#{uiBean.addAllDepths}" oncomplete="updateDepth()">
                        <p:graphicImage value="#{resource['images:add.png']}"/>
                        <h:outputText value="#{displayDepthStep.PARAM_MSG_ADD_ALL}"/>
                    </p:commandLink>
                </h:panelGroup>
                <h:panelGroup styleClass="control">
                    <p:commandLink process="@this,#{p:component('parametersRequest')},depthList"
                                   styleClass="buttonStepNext"
                                   action="#{uiBean.removeAllDepths}" oncomplete="updateDepth()">
                        <p:graphicImage
                                value="#{resource['images:remove_selection.png']}"/>
                        <h:outputText value="#{displayDepthStep.PARAM_MSG_DELETE_ALL}"/>
                    </p:commandLink>
                </h:panelGroup>
            </h:panelGroup>
        </h:panelGroup>
        <h:panelGroup layout="block" id="depthList"
                      styleClass="#{uiBean.parametersRequest.depthRequestParam.choiceDepth?'buttonRadioAndLabel':'buttonRadioAndLabel, disabled'}">
            <p:selectManyCheckbox layout="pageDirection" immediate="true"
                                  valueChangeListener="#{uiMPS.parametersRequest.depthRequestParam.selectDepthes}">
                <p:ajax event="change" oncomplete="updateDepth()"/>
                <f:selectItems value="#{depths}" var="depth" itemLabel="#{depth}" itemValue="#{depth}"/>
            </p:selectManyCheckbox>
        </h:panelGroup>
    </h:panelGroup>
</h:panelGroup>

</html>